// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/DataLogger.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace DataLogger {

  /// <summary>Holder for reflection information generated from telemetry/DataLogger.proto</summary>
  public static partial class DataLoggerReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/DataLogger.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static DataLoggerReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Chp0ZWxlbWV0cnkvRGF0YUxvZ2dlci5wcm90bxILZGF0YV9sb2dnZXIaH2dv",
            "b2dsZS9wcm90b2J1Zi90aW1lc3RhbXAucHJvdG8ixAEKCkRhdGFMb2dnZXIS",
            "FwoKZGNfY3VycmVudBgBIAEoCUgAiAEBEhUKCGRjX3Bvd2VyGAIgASgJSAGI",
            "AQESHAoPZ2VuZXJhdGlvbl90aW1lGAMgASgJSAKIAQESIAoTaW52ZXJ0ZXJf",
            "ZWZmaWNpZW5jeRgEIAEoCUgDiAEBQg0KC19kY19jdXJyZW50QgsKCV9kY19w",
            "b3dlckISChBfZ2VuZXJhdGlvbl90aW1lQhYKFF9pbnZlcnRlcl9lZmZpY2ll",
            "bmN5QnYKG2NvbS5jb2RpYmx5Lm1vZGVsLnRlbGVtZXRyeUIPRGF0YUxvZ2dl",
            "clByb3RvygIbRG9tYWluTW9kZWxcUHJvdG9cVGVsZW1ldHJ54gInRG9tYWlu",
            "TW9kZWxcUHJvdG9cVGVsZW1ldHJ5XEdQQk1ldGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::DataLogger.DataLogger), global::DataLogger.DataLogger.Parser, new[]{ "DcCurrent", "DcPower", "GenerationTime", "InverterEfficiency" }, new[]{ "DcCurrent", "DcPower", "GenerationTime", "InverterEfficiency" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class DataLogger : pb::IMessage<DataLogger>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<DataLogger> _parser = new pb::MessageParser<DataLogger>(() => new DataLogger());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<DataLogger> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::DataLogger.DataLoggerReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DataLogger() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DataLogger(DataLogger other) : this() {
      dcCurrent_ = other.dcCurrent_;
      dcPower_ = other.dcPower_;
      generationTime_ = other.generationTime_;
      inverterEfficiency_ = other.inverterEfficiency_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DataLogger Clone() {
      return new DataLogger(this);
    }

    /// <summary>Field number for the "dc_current" field.</summary>
    public const int DcCurrentFieldNumber = 1;
    private string dcCurrent_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string DcCurrent {
      get { return dcCurrent_ ?? ""; }
      set {
        dcCurrent_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "dc_current" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasDcCurrent {
      get { return dcCurrent_ != null; }
    }
    /// <summary>Clears the value of the "dc_current" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearDcCurrent() {
      dcCurrent_ = null;
    }

    /// <summary>Field number for the "dc_power" field.</summary>
    public const int DcPowerFieldNumber = 2;
    private string dcPower_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string DcPower {
      get { return dcPower_ ?? ""; }
      set {
        dcPower_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "dc_power" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasDcPower {
      get { return dcPower_ != null; }
    }
    /// <summary>Clears the value of the "dc_power" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearDcPower() {
      dcPower_ = null;
    }

    /// <summary>Field number for the "generation_time" field.</summary>
    public const int GenerationTimeFieldNumber = 3;
    private string generationTime_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string GenerationTime {
      get { return generationTime_ ?? ""; }
      set {
        generationTime_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "generation_time" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasGenerationTime {
      get { return generationTime_ != null; }
    }
    /// <summary>Clears the value of the "generation_time" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearGenerationTime() {
      generationTime_ = null;
    }

    /// <summary>Field number for the "inverter_efficiency" field.</summary>
    public const int InverterEfficiencyFieldNumber = 4;
    private string inverterEfficiency_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string InverterEfficiency {
      get { return inverterEfficiency_ ?? ""; }
      set {
        inverterEfficiency_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "inverter_efficiency" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasInverterEfficiency {
      get { return inverterEfficiency_ != null; }
    }
    /// <summary>Clears the value of the "inverter_efficiency" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearInverterEfficiency() {
      inverterEfficiency_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as DataLogger);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(DataLogger other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (DcCurrent != other.DcCurrent) return false;
      if (DcPower != other.DcPower) return false;
      if (GenerationTime != other.GenerationTime) return false;
      if (InverterEfficiency != other.InverterEfficiency) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasDcCurrent) hash ^= DcCurrent.GetHashCode();
      if (HasDcPower) hash ^= DcPower.GetHashCode();
      if (HasGenerationTime) hash ^= GenerationTime.GetHashCode();
      if (HasInverterEfficiency) hash ^= InverterEfficiency.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasDcCurrent) {
        output.WriteRawTag(10);
        output.WriteString(DcCurrent);
      }
      if (HasDcPower) {
        output.WriteRawTag(18);
        output.WriteString(DcPower);
      }
      if (HasGenerationTime) {
        output.WriteRawTag(26);
        output.WriteString(GenerationTime);
      }
      if (HasInverterEfficiency) {
        output.WriteRawTag(34);
        output.WriteString(InverterEfficiency);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasDcCurrent) {
        output.WriteRawTag(10);
        output.WriteString(DcCurrent);
      }
      if (HasDcPower) {
        output.WriteRawTag(18);
        output.WriteString(DcPower);
      }
      if (HasGenerationTime) {
        output.WriteRawTag(26);
        output.WriteString(GenerationTime);
      }
      if (HasInverterEfficiency) {
        output.WriteRawTag(34);
        output.WriteString(InverterEfficiency);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasDcCurrent) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(DcCurrent);
      }
      if (HasDcPower) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(DcPower);
      }
      if (HasGenerationTime) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(GenerationTime);
      }
      if (HasInverterEfficiency) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(InverterEfficiency);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(DataLogger other) {
      if (other == null) {
        return;
      }
      if (other.HasDcCurrent) {
        DcCurrent = other.DcCurrent;
      }
      if (other.HasDcPower) {
        DcPower = other.DcPower;
      }
      if (other.HasGenerationTime) {
        GenerationTime = other.GenerationTime;
      }
      if (other.HasInverterEfficiency) {
        InverterEfficiency = other.InverterEfficiency;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            DcCurrent = input.ReadString();
            break;
          }
          case 18: {
            DcPower = input.ReadString();
            break;
          }
          case 26: {
            GenerationTime = input.ReadString();
            break;
          }
          case 34: {
            InverterEfficiency = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            DcCurrent = input.ReadString();
            break;
          }
          case 18: {
            DcPower = input.ReadString();
            break;
          }
          case 26: {
            GenerationTime = input.ReadString();
            break;
          }
          case 34: {
            InverterEfficiency = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
